@model IEnumerable<CategoryModel>
@{
    ViewBag.Title = "title";
    Layout = "_Layout";
}

<h2>Index Category</h2>

<div class="container p-3">
    <div class="row pt-4">
        <div class="col-11">
            <h2 class="text-primary">Category List</h2>
        </div>
        <div class="col-2">
            <a asp-controller="Category" asp-action="Create" class="btn btn-primary"><i class="bi bi-plus-circle"></i>&nbsp; Create New Category</a>
        </div>
    </div>
<table class="table table-bordered table-striped" style="width: 100%">
    <thead>
    <tr>
        <th>
            Category Name
        </th> 
        <th>
            Display Order
        </th> 
        <th></th>
    </tr>
    </thead>
    <tbody>
    @foreach (var obj in Model)
    {
        <tr>
            <td style="width: 50%">
                @obj.Name
            </td>
            <td style="width: 50%">
                @obj.DisplayOrder
            </td>
            <td>
                <div class="w75 btn-group" role="group">
                    <a asp-controller="Category" asp-action="Edit" asp-route-id="@obj.Id" class="btn btn-primary mx-2"> <i class="bi bi-pencil-square"></i>&nbsp;Edit</a>
                </div>
            </td>
        </tr>
    }
    </tbody>
</table>
</div>
